using Wizard.Scripts.Network.Task.Arena.TwoPick;

namespace Wizard.Scripts.Network.Task.Arena;

public abstract class ArenaTopTaskBase : BaseTask
{
	public ArenaTopTaskBase()
	{
	}

	public abstract void SetParameter();

	public static ArenaTopTaskBase GetTaskInstance(int mode)
	{
		ArenaTopTaskBase result = null;
		if (mode == 1)
		{
			result = new TopTask();
		}
		return result;
	}
}
